App\Library\Amazon\Classes\Music:
    xml_root_name: Music
    properties:
        productType:
            expose: true
            access_type: public_method
            serialized_name: ProductType
            accessor:
                getter: getProductType
                setter: setProductType
            type: App\Library\Amazon\Classes\Music\ProductTypeAType
